{{TestPingWithPST.spin
By Andy Lindsay, Copyright (c) 2009, Parallax Inc., See Liscense.spin for terms of use.

Tests Ping))) Ultrasonic Distance Sensor and displays results in the Parallax Serial
Terminal.}}

CON
   
  _clkmode = xtal1 + pll16x                   ' Crystal and PLL settings.
  _xinfreq = 5_000_000                        ' 5 MHz crystal (5 MHz x 16 = 80 MHz).

  PING_PIN = 13                               ' I/O pin connected to Ping)))

OBJ

  pst     : "Parallax Serial Terminal"        ' Serial communication object
  ping    : "Ping"                            ' Ping object from obex.parallax.com
  license : "License"                         ' Terms of use

PUB Go | cm                                  

  pst.Start(115200)                           ' Start the Parallax Serial Terminal cog
    
  repeat
  
    cm := ping.Centimeters(PING_PIN)          ' Check Ping))) distance
    pst.str(String("Distance = "))            ' Message
    pst.dec(cm)                               ' Display decimal cm value
    pst.str(String(" cm"))                     ' Units
    

    pst.ClearEnd                              ' Clear to end of line
    pst.home                                  ' Send cursor home
    waitcnt(clkfreq/10+cnt)                   ' Pause 1/10 seconds
